# Read the customer canvas with bounded factory machine previews (assigned staff only) (/docs/api-reference/organization-collections/AdminCollectionsController_canvas)

`GET /api/organizations/{orgId}/canvas`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `orgId` | path | yes | string |  |

## Responses

### 200

Content type: `application/json`

```json
{
  "type": "object",
  "properties": {
    "organization": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "slug": {
          "type": "string"
        },
        "tier": {
          "type": "string",
          "nullable": true
        },
        "timezone": {
          "type": "string",
          "nullable": true
        },
        "address": {
          "type": "string",
          "nullable": true
        },
        "settings": {
          "type": "object",
          "properties": {
            "mapPin": {
              "type": "object",
              "properties": {
                "latitude": {
                  "type": "number"
                },
                "longitude": {
                  "type": "number"
                }
              },
              "required": [
                "latitude",
                "longitude"
              ]
            }
          }
        }
      },
      "required": [
        "id",
        "name",
        "slug",
        "tier",
        "timezone",
        "address",
        "settings"
      ]
    },
    "factories": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "organizationId": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "slug": {
            "type": "string"
          },
          "location": {
            "type": "string",
            "nullable": true
          },
          "timezone": {
            "type": "string",
            "nullable": true
          },
          "config": {
            "type": "object",
            "properties": {
              "mapPin": {
                "type": "object",
                "properties": {
                  "latitude": {
                    "type": "number"
                  },
                  "longitude": {
                    "type": "number"
                  }
                },
                "required": [
                  "latitude",
                  "longitude"
                ]
              }
            }
          },
          "machineCount": {
            "type": "number"
          },
          "activeMachineCount": {
            "type": "number"
          },
          "machines": {
            "maxItems": 4,
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "string"
                },
                "code": {
                  "type": "string"
                },
                "name": {
                  "type": "string"
                },
                "machineType": {
                  "type": "string",
                  "nullable": true
                },
                "tier": {
                  "type": "string",
                  "nullable": true
                },
                "isActive": {
                  "type": "boolean",
                  "nullable": true
                },
                "factoryId": {
                  "type": "string",
                  "description": "Factory slug."
                },
                "factoryName": {
                  "type": "string"
                },
                "organizationName": {
                  "type": "string"
                },
                "location": {
                  "type": "string",
                  "nullable": true
                },
                "protocol": {
                  "type": "string",
                  "nullable": true
                }
              },
              "required": [
                "id",
                "code",
                "name",
                "machineType",
                "tier",
                "isActive",
                "factoryId",
                "factoryName",
                "organizationName",
                "location",
                "protocol"
              ]
            }
          }
        },
        "required": [
          "id",
          "organizationId",
          "name",
          "slug",
          "location",
          "timezone",
          "config",
          "machineCount",
          "activeMachineCount",
          "machines"
        ]
      }
    },
    "machineCount": {
      "type": "number"
    },
    "memberCount": {
      "type": "number",
      "description": "Active membership rows, including banned identities, for compatibility."
    },
    "activeTierCounts": {
      "type": "object",
      "additionalProperties": {
        "type": "number"
      },
      "description": "Billing counts by tier; includes legacy null activity and excludes explicitly inactive machines."
    },
    "peopleCounts": {
      "type": "object",
      "properties": {
        "member": {
          "type": "number"
        },
        "disabled": {
          "type": "number"
        },
        "pending": {
          "type": "number"
        },
        "expired": {
          "type": "number"
        },
        "accepted": {
          "type": "number"
        }
      },
      "required": [
        "member",
        "disabled",
        "pending",
        "expired",
        "accepted"
      ]
    }
  },
  "required": [
    "organization",
    "factories",
    "machineCount",
    "memberCount",
    "activeTierCounts",
    "peopleCounts"
  ]
}
```